org.apache.log4j.chainsaw

## Class ChainsawConstants

- java.lang.Object
- - org.apache.log4j.chainsaw.ChainsawConstants

-     public class ChainsawConstants
      extends Object

  Constants used throught Chainsaw.
  Author:
    Paul Smith <psmith@apache.org>, Scott Deboy <sdeboy@apache.org>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Color` | `COLOR_DEFAULT_BACKGROUND`
    `static Color` | `COLOR_DEFAULT_FOREGROUND`
    `static Color` | `COLOR_EVEN_ROW_BACKGROUND`
    `static Color` | `COLOR_EVEN_ROW_FOREGROUND`
    `static Color` | `COLOR_ODD_ROW_BACKGROUND`
    `static Color` | `COLOR_ODD_ROW_FOREGROUND`
    `static String` | `DEFAULT_COLOR_RULE_NAME`
    `static int` | `DEFAULT_ROW_HEIGHT`
    `static String` | `DETAIL_CONTENT_TYPE`
    `static URL` | `EXAMPLE_CONFIG_URL`
    `static Color` | `FIND_LOGGER_BACKGROUND`
    `static Color` | `FIND_LOGGER_FOREGROUND`
    `static Color` | `INVALID_EXPRESSION_BACKGROUND`
    `static float` | `MILLIS_DELTA_RENDERING_FACTOR`
    `static int` | `MILLIS_DELTA_RENDERING_HEIGHT_MAX`
    `static URL` | `RELEASE_NOTES_URL`
    `static int` | `TABLE_BORDER_WIDTH`
    `static URL` | `TUTORIAL_URL`
    `static URL` | `URL_PAGE_NOT_FOUND`
    `static URL` | `WELCOME_URL`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MILLIS_DELTA_RENDERING_HEIGHT_MAX

          public static final int MILLIS_DELTA_RENDERING_HEIGHT_MAX

      See Also:
        Constant Field Values

    - #### MILLIS_DELTA_RENDERING_FACTOR

          public static final float MILLIS_DELTA_RENDERING_FACTOR

      See Also:
        Constant Field Values

    - #### DEFAULT_COLOR_RULE_NAME

          public static final String DEFAULT_COLOR_RULE_NAME

      See Also:
        Constant Field Values

    - #### COLOR_DEFAULT_BACKGROUND

          public static final Color COLOR_DEFAULT_BACKGROUND

    - #### COLOR_DEFAULT_FOREGROUND

          public static final Color COLOR_DEFAULT_FOREGROUND

    - #### TABLE_BORDER_WIDTH

          public static final int TABLE_BORDER_WIDTH

      See Also:
        Constant Field Values

    - #### DEFAULT_ROW_HEIGHT

          public static final int DEFAULT_ROW_HEIGHT

      See Also:
        Constant Field Values

    - #### FIND_LOGGER_BACKGROUND

          public static final Color FIND_LOGGER_BACKGROUND

    - #### FIND_LOGGER_FOREGROUND

          public static final Color FIND_LOGGER_FOREGROUND

    - #### INVALID_EXPRESSION_BACKGROUND

          public static final Color INVALID_EXPRESSION_BACKGROUND

    - #### COLOR_ODD_ROW_BACKGROUND

          public static final Color COLOR_ODD_ROW_BACKGROUND

    - #### COLOR_ODD_ROW_FOREGROUND

          public static final Color COLOR_ODD_ROW_FOREGROUND

    - #### COLOR_EVEN_ROW_BACKGROUND

          public static final Color COLOR_EVEN_ROW_BACKGROUND

    - #### COLOR_EVEN_ROW_FOREGROUND

          public static final Color COLOR_EVEN_ROW_FOREGROUND

    - #### WELCOME_URL

          public static final URL WELCOME_URL

    - #### EXAMPLE_CONFIG_URL

          public static final URL EXAMPLE_CONFIG_URL

    - #### TUTORIAL_URL

          public static final URL TUTORIAL_URL

    - #### RELEASE_NOTES_URL

          public static final URL RELEASE_NOTES_URL

    - #### DETAIL_CONTENT_TYPE

          public static final String DETAIL_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### URL_PAGE_NOT_FOUND

          public static final URL URL_PAGE_NOT_FOUND

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.